Package org.codehaus.groovy.groovydoc

# Interface GroovyConstructorDoc

All Superinterfaces:
  `Comparable`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Implementing Classes:
  `SimpleGroovyConstructorDoc`

public interface GroovyConstructorDoc extends GroovyExecutableMemberDoc

## Method Summary

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc

`flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

`isSynthetic`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`